summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author klaatu <klaatu@hackerpublicradio.org>2010-05-13 00:59:35 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:35 +0200
commit0d8e08a0f7c86bcb008f342786250db3c5ec9542 (patch)
tree6934712fd15f38f8f549dae3facf22a1583ac4b6 /multimedia
parentbdeee16f08a25d2c74ebf16841d499fcf5b03177 (diff)
downloadslackbuilds-0d8e08a0f7c86bcb008f342786250db3c5ec9542.tar.gz
slackbuilds-0d8e08a0f7c86bcb008f342786250db3c5ec9542.tar.xz
multimedia/LiVES: Added to 13.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/LiVES/LiVES.SlackBuild66
-rw-r--r--multimedia/LiVES/LiVES.info10
-rw-r--r--multimedia/LiVES/LiVES.patch19
-rw-r--r--multimedia/LiVES/README8
-rw-r--r--multimedia/LiVES/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/multimedia/LiVES/LiVES.SlackBuild b/multimedia/LiVES/LiVES.SlackBuild
new file mode 100644
index 0000000000..eac024bc7f
--- /dev/null
+++ b/multimedia/LiVES/LiVES.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for LiVES
+#
+# this SlackBuild maintained by Klaatu at hackerpublicradio.org
+#
+# but all the real work was done by rworkman and the good folk
+# at slackbuilds.org
+
+PRGNAM=LiVES
+VERSION=1.1.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+mv lives-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,g-w+r,o-w+r .
+
+patch smogrify $CWD/LiVES.patch
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --program-prefix="" \
+ --build=$ARCH-slackware-linux
+
+make docdir=/usr/doc/$PRGNAM-$VERSION
+make install-strip docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/LiVES/LiVES.info b/multimedia/LiVES/LiVES.info
new file mode 100644
index 0000000000..8f1498cb63
--- /dev/null
+++ b/multimedia/LiVES/LiVES.info
@@ -0,0 +1,10 @@
+PRGNAM="LiVES"
+VERSION="1.1.8"
+HOMEPAGE="http://lives.sourceforge.net"
+DOWNLOAD="http://www.xs4all.nl/~salsaman/lives/current/LiVES-1.1.8.tar.bz2"
+MD5SUM="66bdb35aa6c3ecefcec079867f63bcf0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@hackerpublicradio.org"
+APPROVED="dsomero"
diff --git a/multimedia/LiVES/LiVES.patch b/multimedia/LiVES/LiVES.patch
new file mode 100644
index 0000000000..bb9e3c019f
--- /dev/null
+++ b/multimedia/LiVES/LiVES.patch
@@ -0,0 +1,19 @@
+--- trunk/smogrify 2009/12/29 21:59:04 356
++++ trunk/smogrify 2010/01/08 02:10:47 368
+@@ -3932,7 +3932,6 @@
+ system("sox -t .raw -r $arate -c $achans -$osigned -$osamps $oendian $audio_in -t .raw -r $nrate -c $nchans -$nsigned $nendian -$nsamps $audio_out stretch $stretch>/dev/null 2>&1");
+ }
+ else {
+- print("sox -t .raw -r $arate -c $achans -$osigned -$osamps $oendian $audio_in -t .raw -r $nrate -c $nchans -$nsigned $nendian -$nsamps $audio_out>/dev/null 2>&1");
+ system("sox -t .raw -r $arate -c $achans -$osigned -$osamps $oendian $audio_in -t .raw -r $nrate -c $nchans -$nsigned $nendian -$nsamps $audio_out>/dev/null 2>&1");
+ }
+ }
+@@ -4302,7 +4301,7 @@
+ $name=&mkname($i);
+ my $nframes=0;
+
+- my $conv_cmd=$convert_command;
++ my $conv_command=$convert_command;
+
+ if (!defined($file_ext)) {
+ $file_ext=&get_ext($file);
diff --git a/multimedia/LiVES/README b/multimedia/LiVES/README
new file mode 100644
index 0000000000..240712b323
--- /dev/null
+++ b/multimedia/LiVES/README
@@ -0,0 +1,8 @@
+LiVES is a frame and sample accurate realtime and non-linear video editor.
+Features include keyboard-based editing, a dedicated clip editor, JACK
+support, realtime effects, support for most major multimedia formats, the
+ability to be used for live VJ'ing, and much more.
+
+This requires gdk-pixbuf.
+
+mjpegtools, transcode, and jack are optional but strongly recommended.
diff --git a/multimedia/LiVES/slack-desc b/multimedia/LiVES/slack-desc
new file mode 100644
index 0000000000..1fe97e5d4d
--- /dev/null
+++ b/multimedia/LiVES/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+LiVES: LiVES (a Video Editing System)
+LiVES:
+LiVES: LiVES is a frame and sample accurate realtime and non-linear
+LiVES: video editor. Features include keyboard-based editing, a dedicated
+LiVES: clip editor, JACK support, realtime effects, support for most major
+LiVES: multimedia formats.
+LiVES:
+LiVES: For more information, see http://lives.sourceforge.net
+LiVES:
+LiVES:
+LiVES: